# Class TableShowArchivedSlideComponent

#### Implements

- AfterViewInit

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:27

#####
Index

### Constructors

constructor

### Properties

paginator?
selectRows
tableColumnMenu
tableFilter

### Methods

ngAfterViewInit
onChange

## Constructors

### constructor

- new TableShowArchivedSlideComponent(tableFilter, tableColumnMenu, selectRows): TableShowArchivedSlideComponent

- #### Parameters

  - tableFilter: null | TableFilterService
  - tableColumnMenu: TableColumnMenuComponent
  - selectRows: null | SelectRowService<unknown>

  #### Returns TableShowArchivedSlideComponent

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:32

## Properties

### `Optional` paginator

paginator?: MatPaginator

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:30

### `Private` `Readonly` selectRows

selectRows: null | SelectRowService<unknown>

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:39

### `Private` `Readonly` tableColumnMenu

tableColumnMenu: TableColumnMenuComponent

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:37

### `Private` `Readonly` tableFilter

tableFilter: null | TableFilterService

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:35

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:62

### onChange

- onChange($event): void

- #### Parameters

  - $event: MatSlideToggleChange

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:43